<ion-header>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-back-button></ion-back-button>
        </ion-buttons>
        <ion-title>Excellence</ion-title>
    </ion-toolbar>

    <ion-toolbar>
        <ion-title>Zaloguj się</ion-title>
    </ion-toolbar>
</ion-header>

<ion-content>
    <ion-grid (keyup.enter)="onLoginButtonClick()"> 
        <ion-row>
            <ion-col>
                <ion-item>
                    <ion-label position="floating">E-mail</ion-label>
                    <ion-input [(ngModel)]="email" type="email"></ion-input>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                <ion-item>
                    <ion-label position="floating">Hasło</ion-label>
                    <ion-input [(ngModel)]="password" type="password" ></ion-input>
                </ion-item>
            </ion-col>
        </ion-row>
        <ion-row>
            <ion-col>
                    <ion-button expand="block" (click)="onLoginButtonClick()">Zaloguj</ion-button>
            </ion-col>
        </ion-row>
        <ion-row >
            <ion-col *ngIf="!loginSuccessfull">
                    <h2>Niepoprawny e-mail lub hasło</h2>
            </ion-col>
        </ion-row>
    </ion-grid>
</ion-content>